libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Public Attributes | List of all members
libcamera::IPAModuleInfo Struct Reference

Information of an IPA module. More...

## Public Attributes
int | moduleAPIVersion
| The IPA module API version that the IPA module implements.
uint32_t | pipelineVersion
| The pipeline handler version that the IPA module is for.
char | pipelineName [256]
| The name of the pipeline handler that the IPA module is for.
char | name [256]
| The name of the IPA module.

## Detailed Description

Information of an IPA module.

This structure contains the information of an IPA module. It is loaded, read, and validated before anything else is loaded from the shared object.

## Member Data Documentation

## ◆ moduleAPIVersion

int libcamera::IPAModuleInfo::moduleAPIVersion

The IPA module API version that the IPA module implements.

This version number specifies the version for the layout of struct IPAModuleInfo. The IPA module shall report here the version that it was built for, using the macro IPA_MODULE_API_VERSION.

## ◆ name

char libcamera::IPAModuleInfo::name[256]

The name of the IPA module.

The name may be used to build file system paths to IPA-specific resources. It shall only contain printable characters, and may not contain '*', '?' or '\'. For IPA modules included in libcamera, it shall match the directory of the IPA module in the source tree.

Todo
  Allow user to choose to isolate open source IPAs

## ◆ pipelineName

char libcamera::IPAModuleInfo::pipelineName[256]

The name of the pipeline handler that the IPA module is for.

This name is used to match a pipeline handler with the module.

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_module_info.h
- src/libcamera/ipa_module.cpp